import type { IWebMentionStorage, Mention, SimpleMention } from 'webmention-handler';
import { MongoClient, type WithId } from 'mongodb';
import { MongoDbPending } from './types/mongo-db-pending.type';
import { MongoWebmentionOptions } from './types/mongo-webmention-options.type';
export declare class MongoWebMentionStorage implements IWebMentionStorage {
    mongoClient: MongoClient;
    dbName: string;
    pendingCollection: string;
    mentionCollection: string;
    maxPendingFetch: number;
    limitMentionsPerPageFetch: number;
    private db;
    private fetchCollection;
    constructor(config: MongoWebmentionOptions);
    addPendingMention(mention: SimpleMention): Promise<MongoDbPending>;
    getNextPendingMentions(): Promise<MongoDbPending[]>;
    deleteMention(mention: SimpleMention): Promise<null>;
    storeMentionForPage(page: string, mention: Mention): Promise<WithId<Mention>>;
    getMentionsForPage(page: string, type?: string): Promise<WithId<Mention>[]>;
}
